<app-title-page></app-title-page>
<div class="default-card">
  <div class="info-panel">
    <div style="position: absolute; top: 0px; right: 0px">
      <button nz-button nzType="default" routerLink="/users/{{ user.id }}/detail/edit" nzTitle="Sửa thông tin"
              nzPlacement="bottom"
              nz-tooltip>
        <i nz-icon nzType="edit" nzTheme="outline"></i>
      </button>
      <button nz-button nzType="default" routerLink="/users/{{ user.id }}/detail/password/" nzTitle="Bảo mật"
              nzPlacement="bottom"
              nz-tooltip>
        <i nz-icon nzType="key" nzTheme="outline"></i>
      </button>
      <ng-container *nbIsGranted="['edit', 'user']">
        <ng-container *ngIf="canBlock">
          <button *ngIf="!user.block" nz-button nzType="danger" nzPlacement="bottom" nz-tooltip nzTitle="Khóa tài khoản"
                  (click)="confirmBlockAccount()">
            <i nz-icon nzType="lock" nzTheme="outline"></i>
          </button>
          <button *ngIf="user.block" nz-button nzType="primary" nzGhost nzPlacement="bottom" nz-tooltip
                  nzTitle="Mở khóa tài khoản"
                  (click)="confirmUnBlockAccount()">
            <i nz-icon nzType="unlock" nzTheme="outline"></i>
          </button>
        </ng-container>
      </ng-container>
    </div>
    <img style="width: 96px; height: 96px; border-radius: 50%" [src]="defaultAvatar">
    <h3>{{ user.email }}</h3>
    <p><span>{{ user.fullName }}</span></p>
  </div>
  <nz-card class="w-100" [nzBordered]="false">
    <nz-card-tab>
      <nz-tabset nzSize="large" [nzSelectedIndex]="0" [nzTabBarStyle]="{'text-align': 'center'}">
        <nz-tab nzTitle="Hoạt động">
          <nz-card [nzBordered]="false" nzTitle="Hoạt động gần đây">
            <nz-timeline [nzPending]="pending">
              <nz-timeline-item *ngFor="let action of actions" [nzColor]="ACTION_COLOR[action.action]">
                <p>
                  <small>{{ fomatDateTime(action.time) }}</small>
                </p>
                <p><b>{{ action.username }}</b>
                  <span *ngIf="action.action == 'CREATE'"> đã tạo một bài đăng </span>
                  <span *ngIf="action.action == 'APPROVE'"> đã duyệt bài đăng </span>
                  <span *ngIf="action.action == 'BLOCK'"> đã khóa bài đăng </span>
                  <a href="javascript:void(0)" routerLink="/posts/{{ action.postId }}/detail">{{ action.postTitle }}</a>
                  <span *ngIf="action.action == 'CREATE'"> đang chờ kiểm duyệt</span>
                </p>
              </nz-timeline-item>
            </nz-timeline>
            <ng-template #more>
              <a href="javascript:void(0)" (click)="loadAction(user.id)">Xem thêm...</a>
            </ng-template>
          </nz-card>
        </nz-tab>

        <nz-tab nzTitle="Bài đăng">
          <app-post-list [filterBy]="'*'"></app-post-list>
        </nz-tab>

        <!--<nz-tab nzTitle="Bình luận">-->
          <!--<nz-list [nzDataSource]="data1" [nzRenderItem]="item1" [nzItemLayout]="'horizontal'">-->
            <!--<ng-template #item1 let-item>-->
              <!--<nz-list-item>-->
                <!--<nz-list-item-meta-->
                  <!--[nzTitle]="nzTitle1"-->
                  <!--nzAvatar="https://zos.alipayobjects.com/rmsportal/ODTLcjxAfvqbxHnVXCYX.png"-->
                  <!--nzDescription="Ant Design, a design language for background applications, is refined by Ant UED Team">-->
                  <!--<ng-template #nzTitle1>-->
                    <!--<a href="https://ng.ant.design">{{ item1.title }}</a>-->
                  <!--</ng-template>-->
                <!--</nz-list-item-meta>-->
              <!--</nz-list-item>-->
            <!--</ng-template>-->
          <!--</nz-list>-->
        <!--</nz-tab>-->
      </nz-tabset>
    </nz-card-tab>
  </nz-card>
</div>
